Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231475 - zz-disk_space verifies non-local partitions
Summary: zz-disk_space verifies non-local partitions
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils
Version: 4.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 16:35 UTC by Andrew Pierson
Modified: 2009-07-11 20:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-11 20:34:48 UTC


Attachments (Terms of Use)

Description Andrew Pierson 2007-03-08 16:35:34 UTC
Description of problem:

Connecting to a multi-homed nfs server through a firewall causes this to hang. 
Adding the -l option to df causes it to only check local filesystems.

Version-Release number of selected component (if applicable):

Logwatch 5.2.2 (released 06/23/04)

How reproducible:

100%

Steps to Reproduce:
1. Connect to multi-homed nfs server
2. Hide behind a nat
3. logwatch runs.
  
Actual results:

zz-disk_space hangs

Expected results:

Timeout, failure, or cease checking remote filesystems.

Additional info:

Have a nice day!  The file is located here on my system:
/etc/log.d/scripts/services/zz-disk_space

I put it at low severity, since nfs through nat to multi-homed systems doesn't
work to begin with.  The problem is once you enter that configuration, the
logwatch processes will stack up as they hang.

Comment 1 Ivana Varekova 2007-10-26 08:41:16 UTC
This seems to be coreutils problem - logwatch uses df to generate disk_space report.

Comment 2 Kamil Dudka 2008-09-18 12:56:21 UTC
Could you please try to run 'df' on that machine? If 'df' hangs, can you attach the output of 'strace df'? Thanks in advance.

Can you access the mount-points with something else than 'df' or 'logwatch'?

Comment 3 Ondrej Vasik 2009-07-11 20:34:48 UTC
Closing insufficient data, in needinfo for very long time. Feel free to reopen bugzilla once you provide data requested in comment #2.


Note You need to log in before you can comment on or make changes to this bug.